export interface IConfig {
    platform: string;
    ipAddress: string;
    userName?: string;
    clientKey?: string;

    /**
     * Latitude
     */
    latitude: number;

    /**
     * Longitute
     */
    longitude: number;

    /**
     * The list of lights to affect
     */
    hueLights: Array<{ name: string; cron?: string; on?: boolean }>;

    /**
     * The list of wiz lights to affect
     */
    wizLights: Array<{ ip: string; mac: string; cron?: string; on?: boolean }>;

    wizDiscoveryEnabled: boolean;

    /**
     * The name of the enable switch in homekit
     */
    name: string;

    /**
     * The color temperature at the start of sunset transition
     */
    hueCeilingColorTemp: number;

    /**
     * The color temp during the night
     */
    hueFloorColorTemp: number;

    /**
     * The color temp at sunet
     */
    hueSunsetColorTemp: number;

    /**
     * The color temperature at the start of sunset transition
     */
    wizCeilingColorTemp: number;

    /**
     * The color temp during the night
     */
    wizFloorColorTemp: number;

    /**
     * The color temp at sunet
     */
    wizSunsetColorTemp: number;

    /**
     * The time in milliseconds the lights should remain at sunset temperature.
     */
    sunsetDuration: number;

    /**
     * The number of milliseconds the lights take to transition
     */
    transition?: number;

    /**
     * The number of milliseconds to wait btw updates
     */
    cron?: string;

    /**
     * The current formatted date and time to use with testing
     */
    testNowDateString?: string;
}
